Debian Bug report logs - #570786
squeeze: The grub background image is not activated any more

version graph

Package: debian-edu-artwork; Maintainer for debian-edu-artwork is Debian Edu developers <debian-edu@lists.debian.org>; Source for debian-edu-artwork is src:debian-edu-artwork.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 21 Feb 2010 12:54:12 UTC

Severity: important

Found in version debian-edu-artwork/0.0.30-2

Fixed in version debian-edu-artwork/0.0.31-1

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570786; Package debian-edu-artwork. (Sun, 21 Feb 2010 12:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:54:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: squeeze: The grub background image is not activated any more
Date: Sun, 21 Feb 2010 13:53:29 +0100
[Message part 1 (text/plain, inline)]
package: debian-edu-artwork
severity: important
version: 0.0.30-2
User: debian-edu@lists.debian.org
Usertags: debian-edu

Hi,

quoting http://wiki.debian.org/DebianEdu/Status/Squeeze:

"The grub background image is not activated any more."


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570786; Package debian-edu-artwork. (Sun, 07 Mar 2010 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Sun, 07 Mar 2010 16:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 570786@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570786@bugs.debian.org
Subject: Re: Bug#570786: squeeze: The grub background image is not activated any more
Date: Sun, 7 Mar 2010 17:42:55 +0100
I had a closer look, and the problem seem to be caused by the fact
that grub2 is used in Squeeze.  The current setup in
debian-edu-artwork follow the behavour of grub version 1.  I was
unable to figure out how to set it up to use a background image with
grub version 2.  Nothing in the grub documentation in
/usr/share/doc/grub*.

Anyone know how to configure a background image for grub version 2?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570786; Package debian-edu-artwork. (Sun, 07 Mar 2010 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Sun, 07 Mar 2010 17:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 570786@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 570786@bugs.debian.org
Subject: Re: Bug#570786: squeeze: The grub background image is not activated any more
Date: Sun, 07 Mar 2010 18:10:21 +0100
Petter Reinholdtsen <pere@hungry.com> wrote:

Hi,

> Anyone know how to configure a background image for grub version 2?

See grub-pc, /etc/grub.d/05_debian_theme

HTH,

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu developers <debian-edu@lists.debian.org>:
Bug#570786; Package debian-edu-artwork. (Sun, 07 Mar 2010 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu developers <debian-edu@lists.debian.org>. (Sun, 07 Mar 2010 18:12:05 GMT) Full text and rfc822 format available.

Message #20 received at 570786@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570786@bugs.debian.org, tv.debian@googlemail.com
Subject: Re: Bug#570786: squeeze: The grub background image is not activated any more
Date: Sun, 7 Mar 2010 19:10:11 +0100
> Hi, package "grub2-splashimages" will set a default wallpaper for grub2.
> 
> In /etc/grub.d/05_debian_theme you can change:
> 
> WALLPAPER="/usr/share/images/grub/your_image.png"
> 
> .jpg and .tga work too. It's also possible to change the menu colours in
> the same file.

Thank you both of you for providing clues on how to do this.

As we do not want to edit other packages configuration files, but
instead want to provide our own theme using a file in the
debian-edu-artwork package.  The only way to do this seem to be to
provide the /usr/share/desktop-base/grub_background.sh file in our
artwork package.  It can for example have content like this:

  WALLPAPER="/usr/share/pixmaps/splash/debian-edu-splash.png"
  COLOR_NORMAL="white/black"
  COLOR_HIGHLIGHT="magenta/black"

I suspect we need to conflict with the other packages providing
/usr/share/desktop-base/grub_background.sh.  Might be a good idea to
rewrite the grub scripts to allow other files to be used to specify
the theme.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Wed, 21 Apr 2010 21:36:07 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Wed, 21 Apr 2010 21:36:07 GMT) Full text and rfc822 format available.

Message #25 received at 570786-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 570786-close@bugs.debian.org
Subject: Bug#570786: fixed in debian-edu-artwork 0.0.31-1
Date: Wed, 21 Apr 2010 21:33:41 +0000
Source: debian-edu-artwork
Source-Version: 0.0.31-1

We believe that the bug you reported is fixed in the latest version of
debian-edu-artwork, which is due to be installed in the Debian FTP archive:

debian-edu-artwork-usplash_0.0.31-1_i386.deb
  to main/d/debian-edu-artwork/debian-edu-artwork-usplash_0.0.31-1_i386.deb
debian-edu-artwork_0.0.31-1.diff.gz
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.31-1.diff.gz
debian-edu-artwork_0.0.31-1.dsc
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.31-1.dsc
debian-edu-artwork_0.0.31-1_all.deb
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.31-1_all.deb
debian-edu-artwork_0.0.31.orig.tar.gz
  to main/d/debian-edu-artwork/debian-edu-artwork_0.0.31.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-artwork package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 21 Apr 2010 21:25:30 +0200
Source: debian-edu-artwork
Binary: debian-edu-artwork debian-edu-artwork-usplash
Architecture: source all i386
Version: 0.0.31-1
Distribution: unstable
Urgency: low
Maintainer: Debian Edu developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-artwork - Debian Edu themes and artwork
 debian-edu-artwork-usplash - Debian Edu artwork for usplash
Closes: 570786 572769
Changes: 
 debian-edu-artwork (0.0.31-1) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Try to fix grub 2 theme support (Closes: #570786).  Make sure we
     conflict with desktop-base as we include
     /usr/share/desktop-base/grub_background.sh which is also there.
 .
   [ Andreas B. Mundt ]
   * Update kdm and gdm theme (Closes: #572769).
   * Regenerate some Makefile.in files using automake (gdm-theme, kdm-theme
     and splash).
   * Remove outdated functions in debian/update-artwork.
   * Remove obsoleted debian/edit-ini.
   * Add new wallpaper and grub2 background.
   * Add functions to update grub.cfg in debian/update-artwork.
   * Add ksplash for seamless login experience.
Checksums-Sha1: 
 0f251bfa5bb4e7f14175ac98a0ffc75267fb4470 1437 debian-edu-artwork_0.0.31-1.dsc
 1824b4f64b29b9243d65052d77fb08159810a4b8 23581449 debian-edu-artwork_0.0.31.orig.tar.gz
 75fcec304923521e46ea1211dee15f2370788295 10038 debian-edu-artwork_0.0.31-1.diff.gz
 2193764d1639c72515ff4501f930c969817301a1 8154774 debian-edu-artwork_0.0.31-1_all.deb
 6c42f878e06f9ed4c7c9826032a0cdd9ef69e534 197980 debian-edu-artwork-usplash_0.0.31-1_i386.deb
Checksums-Sha256: 
 a4d316c3b5dec624319f8c58da16b76c9c78d28e9efb4f7e20f75d65166ee314 1437 debian-edu-artwork_0.0.31-1.dsc
 c3b318152d542d797a22071c55d81127105c64a973dd6f43157c9ff224205890 23581449 debian-edu-artwork_0.0.31.orig.tar.gz
 62ebb33e1802b2c6e1e9bd2fd299a8b5cc1c0423a83328717da9976bb4af257d 10038 debian-edu-artwork_0.0.31-1.diff.gz
 65f29eced65846e431d608318c408e200a4d12306a46e0dc72f885152cbdeeb4 8154774 debian-edu-artwork_0.0.31-1_all.deb
 9b507994a25010882c080dba091efc8984fc47a97fcec5ff3a1f83bf9c0cfdfc 197980 debian-edu-artwork-usplash_0.0.31-1_i386.deb
Files: 
 e6b1ed6763ff9f4d647983f88319a1a1 1437 graphics optional debian-edu-artwork_0.0.31-1.dsc
 e347c98061696b48fad1b23f9c5b9a73 23581449 graphics optional debian-edu-artwork_0.0.31.orig.tar.gz
 401cd0b1fcec9328ef7e9d63a6153026 10038 graphics optional debian-edu-artwork_0.0.31-1.diff.gz
 81b4099e449af43cfd9ac00694abc188 8154774 graphics optional debian-edu-artwork_0.0.31-1_all.deb
 dc92bffbcab89eea37021c07c15dec42 197980 graphics optional debian-edu-artwork-usplash_0.0.31-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLz1X820zMSyow1ykRAizxAJwL3bU9+lXCZ9C0h5FjPakvN2NltgCgkHjH
lvOQt5M1FbN+MN0pw/tzn3s=
=EOdU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 May 2010 07:37:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:26:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.